Subject: Re: [GSOC Proposal] Complete and extend the remote-object-info command for git cat-file

From: SoutrikDas <[email-masked]>
Date: Tue, 17 Mar 2026 18:36:03 +0530

Hi there,

> s/has/have/
> s/its/it's/
> s/sreies/series/
> s/type/types/

I will correct all the spelling mistakes.

> > multiple network trips to get a single object's data.
> 
> The `git cat-file` command has a `--batch-command[=<format>]` option
> to enter a command mode. In this command mode some special commands
> and arguments can be passed via stdin to `git cat-file` to request
> information.

Will correct that.

> But anyway I think "information type" is not a good wording for these
> things, because we already talk about "type" for Git object types.
> Please try to find a better wording.

How about object property or object attribute or object field?
I feel like object fields may be a bit more technically correct.

> You can try a rebase to see which issues would need to be resolved to
> complete a rebase, and talk a bit about these issues in your proposal,
> but otherwise applicants shouldn't start working on a project before
> they have been accepted.

I tried a rebase on the current master , and there were indeed conflicts
I will include this part in my v2.

> Would you implement both the client and the server side in the same
> patch series or do it separately?

I am not sure actually... since Eric Ju did everything in one patch series.
But personally I feel like doing one series for server side first and another
for client side would be a bit more focused. But I am not sure if it would
cost more time for everyone involved, like giving feedback and all that?

> > My current semester is ending in the first week of April, so I will be
> > able to contribute 7-8 hours per day, totalling around 35-40 hrs a week
> > on the project.
> 
> Do you have another semester starting after the current one?

Actually I made a mistake, its ending in the first week of May. But no, 
after this semester we have a summer break so ... I will update this part.

> Not sure if that would be very useful first. Also that might be better
> in a different command than `cat-file`.

Alright. I will ask that as a question before my final gsoc proposal
submission so that if its approved, I will add it to my tasks in gsoc.

> There are other ways to do this, like using:
> 
> git rev-list --objects --all --missing=print

Did not know that ... but thats great! I will remove this from the proposal.

Thanks for the feedback.